## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# NOTE(mhayden): No tests upstream (yet) but leaving this here in case they are
# available later.
%bcond_with     tests

%global         srcname     azure-mgmt-security

Name:           python-%{srcname}
Version:        2.0.0b1
Release:        %autorelease
Summary:        Microsoft Azure Security Center Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-recoveryservices)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Security Center Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
Obsoletes:      python3-azure-sdk < 5.0.1
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%if %{with tests}
%check
%pytest --disable-warnings
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:2.0.0b1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:2.0.0b1-1
- Update to 2.0.0b1

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:1.0.0-4
- Bump release number

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1:1.0.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:1.0.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1:1.0.0-1
- Update to 1.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.6.0-2
- Add epoch number for 0.6.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.6.0-1
- Downgrade to 0.6.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 1.0.0-1
- Initial commit (#1971854)
